List Exclusion Groups
1 min
GET
https://api.optimizely.com/flags/v1//projects/{project_id}/groups
Path Parameters
- project_idintegerrequiredExampleDescription
Query Parameters
- per_pageinteger<int64>DescriptionFormatint64
- page_tokenstringDescription
- page_windowintegerDescription
- sortstring[]Description
- archivedbooleanDescription
- enabledbooleanDescription
- environmentstring[]Description
- querystringDescription
- includestring[]Description
Responses
200
- Groups
- countintegerrequiredExampleDescription
- create_urlobject
- UrlValue
- filter_urlobjectDescription
- UrlValue
- first_urlobjectrequiredDescription
- UrlValue
- itemsGroup[]required
- archive_urlobject
- UrlValue
- archivedboolean
- created_timestring<date-time>requiredExampleFormatdate-time
- delete_urlobject
- UrlValue
- descriptionstringExample
- environment_keystringrequiredExampleMin Length1
- idintegerrequiredExample
- namestringrequiredExample
- project_idinteger<int64>DescriptionFormatint64
- revisionintegerDescription
- rolestringExampleDescription
- rulesobject
- GroupRuleMap
- unarchive_urlobject
- UrlValue
- update_urlobject
- UrlValue
- updated_timestring<date-time>requiredExampleFormatdate-time
- urlobjectDescription
- UrlValue
- urnstringrequiredExampleDescription
- last_urlobjectrequiredDescription
- UrlValue
- next_urlobjectDescription
- UrlList
- pageintegerrequiredExampleDescription
- prev_urlobjectDescription
- UrlList
- reset_urlobjectDescription
- UrlValue
- sort_urlobjectDescription
- UrlValue
- total_countintegerrequiredExampleDescription
- total_pagesintegerrequiredExampleDescription
- urlobjectrequiredDescription
- UrlValue
400
401
403
curl
curl --request GET \
--url https://api.optimizely.com/flags/v1//projects/{project_id}/groups \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.optimizely.com/flags/v1//projects/{project_id}/groups", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.optimizely.com/flags/v1//projects/{project_id}/groups")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.optimizely.com/flags/v1//projects/{project_id}/groups"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful retrieval of a page of Groups.
The response includes RESTful JSON (https://restfuljson.org/) styled links and pagination metadata.
Objects in this API MAY include a url property for a link to itself and MAY append _url to properties for related links.
If a link is not present in the response, it indicates a user is not authorized to access the related resource.
{
"count": 2,
"create_url": {},
"filter_url": {},
"first_url": {},
"items": [
{
"archive_url": {},
"archived": false,
"created_time": "2019-05-08T00:00:00.000Z",
"delete_url": {},
"description": "promotion group",
"environment_key": "production",
"id": 1,
"name": "PromoGroup",
"project_id": "",
"revision": 0,
"role": "admin",
"rules": {},
"unarchive_url": {},
"update_url": {},
"updated_time": "2019-05-08T00:00:00.000Z",
"url": {},
"urn": "groups.flag.optimizely.com::1"
}
],
"last_url": {},
"next_url": {},
"page": 5,
"prev_url": {},
"reset_url": {},
"sort_url": {},
"total_count": 20,
"total_pages": 10,
"url": {}
}400
// Malformed requests and invalid parameter names and types
401
// Invalid credentials
403
// Do not have permission to perform the operation